import { Base, Type, INotifyPropertyChanged, EventArgs, PropertyChangedEventArgs } from "igniteui-react-core";
import { INativeUIElementFactory } from "igniteui-react-core";
import { NativeUIElementFactoryFlavor } from "igniteui-react-core";
import { NativeUIComponent } from "igniteui-react-core";
import { NativeUIComponentBuiltInType } from "igniteui-react-core";
import { DomWrapper, DomRenderer } from "igniteui-react-core";
import { XComponentBridge } from "igniteui-react-inputs";
import { INativeUIToolPanelBridge } from "./INativeUIToolPanelBridge";
import { Size } from "igniteui-react-core";
import { NativeUIBuiltInEvents } from "igniteui-react-core";
import { ToolCommandEventArgs } from "./ToolCommandEventArgs";
import { NativeUIBuiltInProperties } from "igniteui-react-core";
import { ToolPanelOrientation } from "./ToolPanelOrientation";
import { BaseControlTheme } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { ToolbarOrientation } from "./ToolbarOrientation";
import { ListPanel } from "./ListPanel";
import { List$1 } from "igniteui-react-core";
import { Popup } from "igniteui-react-core";
import { NativeUIContent } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { NativeUIContentRefreshedEventArgs } from "./NativeUIContentRefreshedEventArgs";
import { IExecutionContext } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { ToolActionType } from "igniteui-react-core";
import { NativeUIGrid } from "igniteui-react-core";
import { ObservableCollection$1 } from "igniteui-react-core";
import { ToolActionEventDetail } from "./ToolActionEventDetail";
import { ToolCommandArgument } from "igniteui-react-core";
import { NativeUIIcon } from "igniteui-react-core";
import { ListPanelTemplateItemUpdatingEventArgs } from "./ListPanelTemplateItemUpdatingEventArgs";
import { ToolActionMeasurementContext } from "./ToolActionMeasurementContext";
import { ToolActionPerformedEventArgs } from "./ToolActionPerformedEventArgs";
import { ToolCommand } from "igniteui-react-core";
import { ToolActionInfo } from "igniteui-react-core";
import { NativeUIButton } from "igniteui-react-core";
import { NativeUIButtonClickedEventArgs } from "igniteui-react-core";
import { NativeUIClickedEventArgs } from "igniteui-react-core";
import { NativeUIPopup } from "igniteui-react-core";
import { NativeUIMouseEventArgs } from "igniteui-react-core";
import { NativeUIFocusEventArgs } from "igniteui-react-core";
import { ICommandStateChangedListener } from "igniteui-react-core";
import { IToolbarTarget } from "igniteui-react-core";
import { ToolCommandStateType } from "igniteui-react-core";
import { NestedActionMode } from "./NestedActionMode";
import { ToolPanelContentRefreshedEventArgs } from "./ToolPanelContentRefreshedEventArgs";
import { NativeUIAbsolutePanel } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class NativeUILayoutFactory extends Base implements INativeUIElementFactory {
    static $t: Type;
    private static a;
    static get b(): NativeUILayoutFactory;
    static e(): void;
    private c;
    get flavor(): NativeUIElementFactoryFlavor;
    createComponent(a: any, b: NativeUIComponentBuiltInType, c: (arg1: any) => void): void;
    createComponentSync(a: any, b: NativeUIComponentBuiltInType, c: (arg1: any) => void): void;
    supportsComponent(a: NativeUIComponentBuiltInType): boolean;
    private d;
}
/**
 * @hidden
 */
export declare class XToolPanelBridge extends XComponentBridge implements INativeUIToolPanelBridge {
    static $t: Type;
    private u;
    private x;
    private v;
    private y;
    private w;
    private z;
    constructor(a: any);
    getDesiredSize(a: any, b: Size): Size;
    addHandler(a: any, b: NativeUIComponent, c: NativeUIBuiltInEvents, d: any): void;
    removeHandler(a: any, b: NativeUIComponent, c: NativeUIBuiltInEvents, d: any): void;
    private ab;
    private ac;
    private aa;
    setValue(a: any, b: NativeUIBuiltInProperties, c: any): void;
    getValue(a: any, b: NativeUIBuiltInProperties): any;
    refresh(a: any): void;
    notifySizeChanged(a: any, b: Size): void;
}
/**
 * @hidden
 */
export declare class ToolbarView extends Base {
    static $t: Type;
    private o;
    private n;
    private g;
    constructor();
    q(): any;
    a: Toolbar;
    w(): void;
    j: DomRenderer;
    m: DomWrapper;
    e: RenderingContext;
    l: DomWrapper;
    u(a: DomRenderer): void;
    z(): void;
    y(): void;
    t(): void;
    aa(): void;
    private b;
    private ab;
    private c;
    private _gridExternal;
    d(): FontInfo;
    v(): void;
    x(): void;
    s(): void;
    h(): number;
    i(a: string): number;
    f: boolean;
    private k;
    r(a: any, b: (arg1: any) => void): void;
}
/**
 * @hidden
 */
export declare class ToolPanelView extends Base {
    static $t: Type;
    private s;
    private r;
    constructor();
    v(): any;
    c: ToolPanel;
    ac(): void;
    n: DomRenderer;
    get t(): DomWrapper;
    q: DomWrapper;
    g: RenderingContext;
    p: DomWrapper;
    aa(a: DomRenderer): void;
    af(): void;
    y(): void;
    k(): number;
    j(): number;
    ag(): void;
    private d;
    private ai;
    private e;
    private _gridExternal;
    f(): FontInfo;
    ab(): void;
    ae(): void;
    ad(): void;
    z(): void;
    x(): void;
    i(): number;
    l(a: string): number;
    m(a: string, b: FontInfo): number;
    h: boolean;
    private o;
    w(a: any, b: (arg1: any) => void): void;
    a(): Popup;
    b(a: NativeUIContent): ToolPanel;
    ah(a: any): Rect;
}
/**
 * @hidden
 */
export declare class NativeUIToolPanel extends NativeUIComponent {
    static $t: Type;
    private get bk();
    get bp(): ToolActionCollection;
    set bp(a: ToolActionCollection);
    get bs(): number;
    set bs(a: number);
    get br(): number;
    get bq(): ToolPanelOrientation;
    set bq(a: ToolPanelOrientation);
    get b1(): Brush;
    set b1(a: Brush);
    get bw(): Brush;
    set bw(a: Brush);
    get bv(): Brush;
    set bv(a: Brush);
    get b0(): Brush;
    set b0(a: Brush);
    get bx(): Brush;
    set bx(a: Brush);
    get by(): Brush;
    set by(a: Brush);
    get bz(): Brush;
    set bz(a: Brush);
    private bl;
    get bm(): (sender: any, args: NativeUIContentRefreshedEventArgs) => void;
    set bm(a: (sender: any, args: NativeUIContentRefreshedEventArgs) => void);
    private bg;
    get bi(): (sender: any, e: DrillDownRequestedEventArgs) => void;
    set bi(a: (sender: any, e: DrillDownRequestedEventArgs) => void);
    private bh;
    get bj(): (sender: any, e: DrillDownRequestedEventArgs) => void;
    set bj(a: (sender: any, e: DrillDownRequestedEventArgs) => void);
    private bn;
    get bo(): (sender: any, args: ToolCommandEventArgs) => void;
    set bo(a: (sender: any, args: ToolCommandEventArgs) => void);
    bu(): void;
    bt(a: Size): void;
}
/**
 * @hidden
 */
export declare abstract class ToolAction extends Base implements INotifyPropertyChanged {
    static $t: Type;
    j: ToolPanel;
    private a;
    get b(): IExecutionContext;
    set b(a: IExecutionContext);
    get cw(): string;
    d: ToolAction;
    private e;
    get actions(): ToolActionCollection;
    private a3;
    get bl(): number;
    set bl(a: number);
    constructor();
    dh(): void;
    private du;
    private dv;
    private c9;
    g(a: boolean): ToolActionEventDetail;
    n(): ToolCommandArgument;
    c7(): string;
    bo(): any;
    bp(): any;
    private bv;
    get c5(): string;
    set c5(a: string);
    cc: string;
    b9: string;
    c0: string;
    c8(): string;
    private br;
    get ch(): string;
    set ch(a: string);
    private bq;
    get ce(): string;
    set ce(a: string);
    private bm;
    get bn(): any;
    set bn(a: any);
    private k;
    get l(): BaseControlTheme;
    set l(a: BaseControlTheme);
    private az;
    get bh(): number;
    set bh(a: number);
    private ar;
    get a5(): number;
    set a5(a: number);
    private a0;
    get bi(): number;
    set bi(a: number);
    private as;
    get a6(): number;
    set a6(a: number);
    private ay;
    get bg(): number;
    set bg(a: number);
    private aq;
    get a4(): number;
    set a4(a: number);
    private a1;
    get bj(): number;
    set bj(a: number);
    private at;
    get a7(): number;
    set a7(a: number);
    private eh;
    get eu(): Brush;
    set eu(a: Brush);
    private eo;
    get e0(): Brush;
    set e0(a: Brush);
    private em;
    private ef;
    get es(): Brush;
    set es(a: Brush);
    private el;
    get ey(): Brush;
    set ey(a: Brush);
    private ek;
    get ex(): Brush;
    set ex(a: Brush);
    private er;
    get e3(): Brush;
    set e3(a: Brush);
    private eg;
    get et(): Brush;
    set et(a: Brush);
    private en;
    get ez(): Brush;
    set ez(a: Brush);
    private o;
    get r(): FontInfo;
    set r(a: FontInfo);
    private q;
    get t(): FontInfo;
    set t(a: FontInfo);
    private ac;
    get aj(): boolean;
    set aj(a: boolean);
    get ai(): boolean;
    private bu;
    get cy(): string;
    set cy(a: string);
    private bx;
    get de(): string;
    set de(a: string);
    private bw;
    get da(): string;
    set da(a: string);
    private a2;
    get bk(): number;
    set bk(a: number);
    private bt;
    get cp(): string;
    set cp(a: string);
    private bs;
    get cm(): string;
    set cm(a: string);
    private av;
    get bd(): number;
    set bd(a: number);
    private aw;
    get be(): number;
    set be(a: number);
    private ax;
    get bf(): number;
    set bf(a: number);
    private au;
    get bc(): number;
    set bc(a: number);
    private ep;
    get e1(): Brush;
    set e1(a: Brush);
    private ei;
    get ev(): Brush;
    set ev(a: Brush);
    private eq;
    get e2(): Brush;
    set e2(a: Brush);
    private ej;
    get ew(): Brush;
    set ew(a: Brush);
    private e4;
    get e5(): Visibility;
    set e5(a: Visibility);
    private ab;
    get ae(): boolean;
    set ae(a: boolean);
    protected get_af(): boolean;
    protected get af(): boolean;
    protected get_ag(): boolean;
    protected get ag(): boolean;
    protected get_al(): boolean;
    protected get al(): boolean;
    protected get_an(): boolean;
    protected get an(): boolean;
    protected get_ad(): boolean;
    protected get ad(): boolean;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected d1(a: string, b: any, c: any): void;
    protected get_m(): ToolActionType;
    get m(): ToolActionType;
    protected d8(a: string, b: any, c: any): void;
    private p;
    protected ak(): boolean;
    ed(): void;
    protected ee(): void;
    protected d0(): void;
    d3(a: ListPanel, b: ToolPanel, c: ListPanelTemplateItemUpdatingEventArgs, d: ToolActionMeasurementContext): void;
    d5(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    d4(a: ListPanel, b: ToolPanel, c: ListPanelTemplateItemUpdatingEventArgs, d: ToolActionMeasurementContext): void;
    dm(a: ToolPanel, b: ToolActionMeasurementContext): void;
    dn(a: ToolPanel, b: ToolActionMeasurementContext): void;
    ba(a: ToolPanel, b: ToolActionMeasurementContext): number;
    bb(a: ToolPanel, b: ToolActionMeasurementContext): number;
    a9(a: ToolPanel, b: ToolActionMeasurementContext): number;
    s(a: ToolPanel): FontInfo;
    a8(a: ToolPanel, b: ToolActionMeasurementContext): number;
    d2(a: ToolActionEventDetail, b: ToolAction): void;
    private d9;
    protected ea(a: ToolCommand): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    protected ao(): boolean;
    private dk;
    ah(): boolean;
    private dx;
    private dl;
    performed: (sender: any, args: ToolActionPerformedEventArgs) => void;
    static c(a: ToolActionInfo): ToolAction;
    dt(a: ToolActionInfo): void;
    protected am(): boolean;
    protected ap(): boolean;
    protected v(a: NativeUIComponentBuiltInType): NativeUIElementFactoryFlavor;
    private x;
    protected get y(): NativeUIGrid;
    private w;
    private u;
    private z;
    private aa;
    private ds;
    protected dr(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected dq(a: NativeUIGrid, b: ToolActionMeasurementContext): void;
    protected ec(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    private dp;
    private dw;
    private eb;
    protected di(a: NativeUIContent): void;
    protected dz(): void;
    protected dy(a: any, b: NativeUIClickedEventArgs): void;
    d6(): void;
    dj(): void;
    d7(a: ToolAction): void;
}
/**
 * @hidden
 */
export declare class ToolActionButton extends ToolAction {
    static $t: Type;
    protected get_m(): ToolActionType;
    n(): ToolCommandArgument;
    g(a: boolean): ToolActionEventDetail;
    private e6;
    bb(a: ToolPanel, b: ToolActionMeasurementContext): number;
    ba(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private e8;
    private e7;
    d4(a: ListPanel, b: ToolPanel, c: ListPanelTemplateItemUpdatingEventArgs, d: ToolActionMeasurementContext): void;
}
/**
 * @hidden
 */
export declare class ToolActionLabel extends ToolAction {
    static $t: Type;
    private static readonly e7;
    private e6;
    protected get_af(): boolean;
    constructor();
    protected get_m(): ToolActionType;
    ba(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private e8;
    protected dz(): void;
    d5(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected d8(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class ToolActionRadio extends ToolAction {
    static $t: Type;
    private e6;
    protected get_m(): ToolActionType;
    private e9;
    get fa(): string;
    set fa(a: string);
    private e7;
    get e8(): boolean;
    set e8(a: boolean);
    g(a: boolean): ToolActionEventDetail;
    bp(): any;
    fc(): void;
    ba(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected ee(): void;
    protected dz(): void;
    private fd;
    private fe;
    d5(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected d8(a: string, b: any, c: any): void;
    dt(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionSeparator extends ToolAction {
    static $t: Type;
    private e8;
    get e9(): number;
    set e9(a: number);
    private e6;
    get e7(): boolean;
    set e7(a: boolean);
    constructor();
    protected get_m(): ToolActionType;
    dn(a: ToolPanel, b: ToolActionMeasurementContext): void;
    protected dr(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected dq(a: NativeUIGrid, b: ToolActionMeasurementContext): void;
    protected ec(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected ee(): void;
    protected d8(a: string, b: any, c: any): void;
    dt(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionIconButton extends ToolAction {
    static $t: Type;
    private fb;
    private e7;
    private e6;
    private fl;
    private fm;
    private fh;
    private fe;
    private fd;
    protected get_m(): ToolActionType;
    protected get_an(): boolean;
    protected get fc(): NativeUIPopup;
    protected get_fk(): boolean;
    protected get fk(): boolean;
    private fg;
    protected get fj(): boolean;
    protected set fj(a: boolean);
    private fn;
    get fo(): number;
    set fo(a: number);
    private fi;
    constructor();
    dh(): void;
    n(): ToolCommandArgument;
    g(a: boolean): ToolActionEventDetail;
    protected e8: NativeUIButton;
    protected fa: NativeUIIcon;
    protected e9: NativeUIIcon;
    a9(a: ToolPanel, b: ToolActionMeasurementContext): number;
    bb(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected dr(a: NativeUIContent, b: NativeUIGrid, c: ToolActionMeasurementContext, d: () => void): void;
    protected di(a: NativeUIContent): void;
    private f6;
    protected f7(a: NativeUIGrid, b: NativeUIPopup): void;
    protected fq(): void;
    protected fs(): void;
    protected fr(): void;
    protected ft(): void;
    protected f8(): Size;
    private f4;
    d5(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected ee(): void;
    protected d0(): void;
    d6(): void;
    dj(): void;
    protected f5(a?: boolean): void;
    protected fp(): void;
    private fz;
    private fu;
    protected fx(a: any, b: NativeUIMouseEventArgs): void;
    protected fy(a: any, b: NativeUIMouseEventArgs): void;
    protected fv(a: any, b: NativeUIButtonClickedEventArgs): void;
    private ff;
    private f2;
    private f3;
    private f0;
    private f1;
    protected fw(a: any, b: NativeUIFocusEventArgs): void;
    protected d8(a: string, b: any, c: any): void;
    dt(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionGroupHeader extends ToolAction {
    static $t: Type;
    private static readonly e9;
    private e6;
    private e7;
    protected get_m(): ToolActionType;
    protected get_af(): boolean;
    protected get_ag(): boolean;
    protected get_al(): boolean;
    private fd;
    get ff(): Brush;
    set ff(a: Brush);
    private fe;
    get fg(): Brush;
    set fg(a: Brush);
    constructor();
    s(a: ToolPanel): FontInfo;
    a8(a: ToolPanel, b: ToolActionMeasurementContext): number;
    private fc;
    private fb;
    protected di(a: NativeUIContent): void;
    d5(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected ee(): void;
}
/**
 * @hidden
 */
export declare class ToolActionIconMenu extends ToolActionIconButton {
    static $t: Type;
    private f9;
    protected get_m(): ToolActionType;
    protected get_fk(): boolean;
    protected fq(): void;
    protected fs(): void;
    protected fr(): void;
    protected ft(): void;
    protected f8(): Size;
    private gb;
    d5(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    private ga;
}
/**
 * @hidden
 */
export declare class ToolActionCheckbox extends ToolAction {
    static $t: Type;
    private e6;
    protected get_m(): ToolActionType;
    protected get_ad(): boolean;
    private e7;
    get e8(): boolean;
    set e8(a: boolean);
    g(a: boolean): ToolActionEventDetail;
    bp(): any;
    ba(a: ToolPanel, b: ToolActionMeasurementContext): number;
    protected di(a: NativeUIContent): void;
    protected dz(): void;
    private fb;
    private fa;
    d5(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected ee(): void;
    protected d8(a: string, b: any, c: any): void;
    dt(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionNumberInput extends ToolAction {
    static $t: Type;
    private e6;
    protected get_m(): ToolActionType;
    private e7;
    get e9(): number;
    set e9(a: number);
    bp(): any;
    ba(a: ToolPanel, b: ToolActionMeasurementContext): number;
    e8(): number;
    g(a: boolean): ToolActionEventDetail;
    private fb;
    private fc;
    d5(a: NativeUIGrid, b: ListPanelTemplateItemUpdatingEventArgs, c: ToolActionMeasurementContext): void;
    protected ee(): void;
    protected d8(a: string, b: any, c: any): void;
    protected dz(): void;
    dt(a: ToolActionInfo): void;
}
/**
 * @hidden
 */
export declare class ToolActionCollection extends ObservableCollection$1<ToolAction> {
    static $t: Type;
    constructor();
    collectionResetting: (sender: any, e: EventArgs) => void;
    protected p(): void;
}
/**
 * @hidden
 */
export declare class Toolbar extends Base implements INotifyPropertyChanged, ICommandStateChangedListener {
    static $t: Type;
    l: ToolbarView;
    private x;
    constructor();
    private v;
    private get w();
    private o;
    b9(a: ToolPanel): void;
    private b0;
    private m;
    private cg;
    private ce;
    cc(a: Size): void;
    private p;
    get q(): BaseControlTheme;
    set q(a: BaseControlTheme);
    private e;
    get autoGeneratedActions(): ToolActionCollection;
    set autoGeneratedActions(a: ToolActionCollection);
    private c;
    get actions(): ToolActionCollection;
    set actions(a: ToolActionCollection);
    private d;
    get actualActions(): ToolActionCollection;
    set actualActions(a: ToolActionCollection);
    static j: ToolbarOrientation;
    private i;
    get k(): ToolbarOrientation;
    set k(a: ToolbarOrientation);
    r: IToolbarTarget;
    static a1: any;
    private a0;
    get target(): any;
    set target(a: any);
    private cp;
    get c1(): Brush;
    set c1(a: Brush);
    private cx;
    get c9(): Brush;
    set c9(a: Brush);
    private cr;
    get c3(): Brush;
    set c3(a: Brush);
    private cw;
    get c8(): Brush;
    set c8(a: Brush);
    private ct;
    get c5(): Brush;
    set c5(a: Brush);
    cy: Brush;
    get da(): Brush;
    set da(a: Brush);
    cq: Brush;
    get c2(): Brush;
    set c2(a: Brush);
    private cs;
    get c4(): Brush;
    set c4(a: Brush);
    private c0;
    get dc(): Brush;
    set dc(a: Brush);
    private cz;
    get db(): Brush;
    set db(a: Brush);
    private ao;
    get ay(): number;
    set ay(a: number);
    private ap;
    get az(): number;
    set az(a: number);
    private cu;
    get c6(): Brush;
    set c6(a: Brush);
    private cv;
    get c7(): Brush;
    set c7(a: Brush);
    private s;
    get t(): FontInfo;
    set t(a: FontInfo);
    u(): FontInfo;
    private al;
    get av(): number;
    set av(a: number);
    private am;
    get aw(): number;
    set aw(a: number);
    private an;
    get ax(): number;
    set ax(a: number);
    private ak;
    get au(): number;
    set au(a: number);
    private ah;
    get ar(): number;
    set ar(a: number);
    private ai;
    get as(): number;
    set as(a: number);
    private aj;
    get at(): number;
    set at(a: number);
    private ag;
    get aq(): number;
    set aq(a: number);
    private aa;
    get ad(): boolean;
    set ad(a: boolean);
    private _userSetWidth;
    get userSetWidth(): boolean;
    set userSetWidth(a: boolean);
    private _userSetHeight;
    get userSetHeight(): boolean;
    set userSetHeight(a: boolean);
    private b1;
    private b3;
    private b4;
    private co;
    private b2;
    private cb;
    private z;
    private y;
    protected cj(): void;
    private b7;
    private ck;
    private ab;
    private ac;
    private b8;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected cd(a: string, b: any, c: any): void;
    protected ch(a: string, b: any, c: any): void;
    private cn;
    private cf;
    private a;
    get b(): IExecutionContext;
    set b(a: IExecutionContext);
    b5(): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    onCommandStateChanged(a: string, b: ToolCommandStateType, c: any): void;
    private cl;
    cm(a: string, b: string, c: string): void;
    bc(a: string, b: string): string;
}
/**
 * @hidden
 */
export declare class ToolPanel extends Base implements INotifyPropertyChanged {
    static $t: Type;
    p: ToolPanelView;
    v: NativeUIGrid;
    bo: any;
    private y;
    private w;
    private get x();
    di(a: ListPanel): void;
    private c5;
    private c6;
    private c7;
    private i;
    private c8;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    private g;
    dn(a: Size): void;
    contentRefreshed: (sender: any, args: ToolPanelContentRefreshedEventArgs) => void;
    get actions(): ToolActionCollection;
    set actions(a: ToolActionCollection);
    private aa;
    get ac(): boolean;
    set ac(a: boolean);
    constructor();
    private c9;
    private da;
    private dm;
    private z;
    protected dv(): void;
    dx(): void;
    private df;
    private ae;
    private af;
    private ad;
    private db;
    ab(a: ToolAction): boolean;
    f(a: string): ToolAction;
    ag(a: ToolAction): List$1<ToolAction>;
    private j;
    private dr;
    private dk;
    private d1;
    fl(): Size;
    private dg;
    dh(): void;
    dy(): void;
    dw(a: ToolAction): void;
    private dj;
    private dc;
    ds(): void;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    private s;
    get t(): FontInfo;
    set t(a: FontInfo);
    u(): FontInfo;
    protected dp(a: string, b: any, c: any): void;
    protected dt(a: string, b: any, c: any): void;
    private d4;
    private d3;
    private d2;
    a: IExecutionContext;
    private q;
    get r(): BaseControlTheme;
    set r(a: BaseControlTheme);
    private ei;
    get e8(): Brush;
    set e8(a: Brush);
    private d5;
    get ev(): Brush;
    set ev(a: Brush);
    private er;
    get fh(): Brush;
    set fh(a: Brush);
    private ee;
    get e4(): Brush;
    set e4(a: Brush);
    private ek;
    get fa(): Brush;
    set fa(a: Brush);
    private d7;
    get ex(): Brush;
    set ex(a: Brush);
    private eq;
    get fg(): Brush;
    set fg(a: Brush);
    private ed;
    get e3(): Brush;
    set e3(a: Brush);
    private el;
    get fb(): Brush;
    set fb(a: Brush);
    static readonly bt: string;
    private d8;
    get ey(): Brush;
    set ey(a: Brush);
    private en;
    get fd(): Brush;
    set fd(a: Brush);
    private ea;
    get e0(): Brush;
    set e0(a: Brush);
    private d;
    private ar;
    es: Brush;
    get fi(): Brush;
    set fi(a: Brush);
    private ef;
    get e5(): Brush;
    set e5(a: Brush);
    ej: Brush;
    get e9(): Brush;
    set e9(a: Brush);
    private d6;
    get ew(): Brush;
    set ew(a: Brush);
    private em;
    get fc(): Brush;
    set fc(a: Brush);
    private d9;
    get ez(): Brush;
    set ez(a: Brush);
    private eu;
    get fk(): Brush;
    set fk(a: Brush);
    private eh;
    get e7(): Brush;
    set e7(a: Brush);
    private et;
    get fj(): Brush;
    set fj(a: Brush);
    private eg;
    get e6(): Brush;
    set e6(a: Brush);
    private a0;
    get bl(): number;
    set bl(a: number);
    private ap;
    get bb(): number;
    set bb(a: number);
    private a1;
    get bm(): number;
    set bm(a: number);
    private aq;
    get bc(): number;
    set bc(a: number);
    private eo;
    get fe(): Brush;
    set fe(a: Brush);
    private eb;
    get e1(): Brush;
    set e1(a: Brush);
    private ep;
    get ff(): Brush;
    set ff(a: Brush);
    private ec;
    get e2(): Brush;
    set e2(a: Brush);
    private ax;
    get bi(): number;
    set bi(a: number);
    private am;
    get a8(): number;
    set a8(a: number);
    private ay;
    get bj(): number;
    set bj(a: number);
    private an;
    get a9(): number;
    set a9(a: number);
    private az;
    get bk(): number;
    set bk(a: number);
    private ao;
    get ba(): number;
    set ba(a: number);
    private aw;
    get bh(): number;
    set bh(a: number);
    private al;
    get a7(): number;
    set a7(a: number);
    private at;
    get be(): number;
    set be(a: number);
    private ai;
    get a4(): number;
    set a4(a: number);
    private au;
    get bf(): number;
    set bf(a: number);
    private aj;
    get a5(): number;
    set a5(a: number);
    private av;
    get bg(): number;
    set bg(a: number);
    private ak;
    get a6(): number;
    set a6(a: number);
    private as;
    get bd(): number;
    set bd(a: number);
    private ah;
    get a3(): number;
    set a3(a: number);
    static n: ToolPanelOrientation;
    private m;
    get o(): ToolPanelOrientation;
    set o(a: ToolPanelOrientation);
    dq(a: ToolAction, b: ToolCommandEventArgs): void;
    onCommand: (sender: any, args: ToolCommandEventArgs) => void;
    get bn(): number;
    set bn(a: number);
    get a2(): number;
    e: NestedActionMode;
    drillDownRequested: (sender: any, e: DrillDownRequestedEventArgs) => void;
    drillUpRequested: (sender: any, e: DrillDownRequestedEventArgs) => void;
    dz(a: ToolAction): void;
    d0(a: ToolAction): void;
    dd(): void;
}
/**
 * @hidden
 */
export declare class DrillDownRequestedEventArgs extends Base {
    static $t: Type;
    a: ToolAction;
}
/**
 * @hidden
 */
export declare class ToolPanelsPresenter extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private ab;
    private i;
    private j;
    private y;
    private o;
    private a;
    private d;
    private g;
    private ay;
    private az;
    private p;
    private b;
    private e;
    private h;
    private c;
    private f;
    private w;
    private get a0();
    private set a0(value);
    private get a1();
    private set a1(value);
    r: NativeUIGrid;
    q: NativeUIAbsolutePanel;
    private u;
    get v(): List$1<PanelInfo>;
    private m;
    get n(): BaseControlTheme;
    set n(a: BaseControlTheme);
    private x;
    get z(): number;
    set z(a: number);
    s: (arg1: ToolCommandEventArgs) => void;
    private aa;
    constructor(a: any, b: IExecutionContext);
    ai(a: () => void): void;
    a2(): Size;
    ae(a: ToolAction, b?: (arg1: NativeUIToolPanel) => void): void;
    aj(a: NativeUIToolPanel): void;
    al(a: number): void;
    ak(a: PanelInfo, b?: () => void): void;
    private aq;
    private ar;
    private ao;
    private af;
    private ah;
    private an;
    private t;
    av(): void;
    private ag;
    aw(): void;
    ax(a: BaseControlTheme, b: ToolPanel): void;
    am(): void;
    containerReady: (sender: any) => void;
    private ap;
    sizeChanged: (sender: any) => void;
    private at;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    private as;
    protected au(a: string, b: any, c: any): void;
}
/**
 * @hidden
 */
export declare class PanelInfo extends Base {
    static $t: Type;
    c: number;
    a: NativeUIToolPanel;
    b: ToolAction;
    constructor(a: ToolAction, b: NativeUIToolPanel, c: number);
    f(): Size;
    e(): void;
    d(a: Size): void;
}
/**
 * @hidden
 */
export declare class PanelAnimationRequest extends Base {
    static $t: Type;
    a: PanelInfo;
    c: number;
    b: () => void;
}
